﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Advantest R6871E-DC: (180 days) VER IEEE /5700
INSTRUMENT:            SUb Advantest R6871E-OHM: (180 days) VER IEEE /5700
DATE:                  2017-02-06 11:49:28
AUTHOR:                Fluke
REVISION:              $Revision: 18166 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       140
CONFIGURATION:         Fluke 5700A
=============================================================================
#
#  Procedure Author:
#        VY
#
#  This procedure contains the following tests whose Test Uncertainty Ratio
#  are less than 4:1.
#        Resistance
#              10 Ohm Range
#                     10 Ohm;       TUR 2.2857
#              100 Ohm Range
#                     100 Ohm;      TUR 3.7647
#
#  Source(s):
#        Advantest R6871E Series Digital Multi-Meter
#        Instruction Manual, Manual Number OEA0 9301
#
#  Compatibility:
#        MET/CAL 7.11 SP1 (7.11j) or later
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
#                                  NOTE
# The IF statements used throughout this procedure to check for errors after
# the call to "Sub Advantest R6871E Send Command IEEE" and "Sub Advantest
#  R6871E Get Reading IEEE" must remain at the same procedure level
# as the TARGET statements. DO NOT move these statements to a subprocedure
# even though they seem redundant. Doing so WILL cause the "Repeat" option
# in post test NOT to work properly.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  5700         1V                                                S  2W
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.005  ASK+           K

  1.006  MATH         PUT("Req_METCAL_Version", "7.11j")
  1.007  CALL         Sub Check MET/CAL Version

  1.008  IF           GET("METCAL_Version_OK") != 1
  1.009  DISP         This procedure requires MET/CAL 7.11 SP1 (7.11j) or
  1.009  DISP         later.
  1.010  END
  1.011  ENDIF

  1.012  CALL         Sub Copyright
  1.013  CALL         Sub High Voltage Safety Warning
  1.014  CALL         Sub Pause on Failed Tests
  1.015  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.016  DISP         Ensure a minimum UUT warm-up time of at least
  1.016  DISP         60 minutes has been allowed to elapse, prior
  1.016  DISP         to beginning verification.

  1.017  HEAD         PRELIMINARY INSTRUCTIONS
  1.018  TARGET
  1.019  CALL         Sub Advantest R6871E Setup IEEE

  1.020  DISP         Place the FRONT/REAR switch in the FRONT (OUT) position.
  1.020  DISP
  1.020  DISP         Place the LO-G switch in the OPEN (OUT) position.

# Set 10 s timeout for Sub Advantest R6871E Send Command IEEE and Sub
# Advantest R6871E Get reading IEEE.
  1.021  MATH         PUT("Timeout", 10000)

# Initial the setting of UUT
  1.022  MATH         PUT("Cmd_Str", "Z")
  1.023  CALL         Sub Advantest R6871E Send Command IEEE

  1.024  IF           GET("Error")
  1.025  MATH         MEM2 = GET("Err_Msg")
  1.026  DISP         [MEM2]
  1.026  DISP
  1.026  DISP         Select "Advance" to proceed.
  1.026  DISP
  1.026  DISP         Select "Terminate" to repeat or abort the procedure.
  1.027  ENDIF

# set the single sample mode and turn off the header of data output
  1.028  MATH         PUT("Cmd_Str", "H0M1")
  1.029  CALL         Sub Advantest R6871E Send Command IEEE

  1.030  IF           GET("Error")
  1.031  MATH         MEM2 = GET("Err_Msg")
  1.032  DISP         [MEM2]
  1.032  DISP
  1.032  DISP         Select "Advance" to proceed.
  1.032  DISP
  1.032  DISP         Select "Terminate" to repeat or abort the procedure.
  1.033  ENDIF

  1.034  CALL         Sub Advantest R6871E (180 days) DCV VER IEEE /5700
  1.035  CALL         Sub Advantest R6871E (180 days) 4W Res VER IEEE /5700

  1.036  MATH         PUT("Cmd_Str", "Z")
  1.037  CALL         Sub Advantest R6871E Send Command IEEE

  1.038  IF           GET("Error")
  1.039  MATH         MEM2 = GET("Err_Msg")
  1.040  DISP         [MEM2]
  1.040  DISP
  1.040  DISP         Select "Advance" to proceed.
  1.040  DISP
  1.040  DISP         Select "Terminate" to repeat or abort the procedure.
  1.041  ENDIF

  1.042  DISP         V E R I F I C A T I O N   C O M P L E T E
  1.043  END
